Loading...
Searching...
No Matches
svn_opt_subcommand_desc2_t Struct Reference

One element of a subcommand dispatch table. More...

`#include <svn_opt.h>`

## Data Fields

const char * | name
| The full name of this command.
svn_opt_subcommand_t * | cmd_func
| The function this command invokes.
const char * | aliases [3]
| A list of alias names for this command (e.g., 'up' for 'update').
const char * | help
| A brief string describing this command, for usage messages.
int | valid_options [50]
| A list of options accepted by this command.
struct { |
int optch |
const char * desc |
} | desc_overrides [50]
| A list of option help descriptions, keyed by the option unique enum (the 2nd field in apr_getopt_option_t), which override the generic descriptions given in an apr_getopt_option_t on a per-subcommand basis.

## Detailed Description

One element of a subcommand dispatch table.

Since
  New in 1.4.

Deprecated
  Provided for backward compatibility with the 1.10 API.

Definition at line 120 of file svn_opt.h.

## Field Documentation

## aliases

const char* svn_opt_subcommand_desc2_t::aliases[3]

A list of alias names for this command (e.g., 'up' for 'update').

Definition at line 129 of file svn_opt.h.

## cmd_func

svn_opt_subcommand_t* svn_opt_subcommand_desc2_t::cmd_func

The function this command invokes.

Definition at line 126 of file svn_opt.h.

## desc

const char* svn_opt_subcommand_desc2_t::desc

Definition at line 143 of file svn_opt.h.

## help

const char* svn_opt_subcommand_desc2_t::help

A brief string describing this command, for usage messages.

Definition at line 132 of file svn_opt.h.

## name

const char* svn_opt_subcommand_desc2_t::name

The full name of this command.

Definition at line 123 of file svn_opt.h.

## optch

int svn_opt_subcommand_desc2_t::optch

Definition at line 143 of file svn_opt.h.

## valid_options

int svn_opt_subcommand_desc2_t::valid_options[50]

A list of options accepted by this command.

Each value in the array is a unique enum (the 2nd field in apr_getopt_option_t)

Definition at line 137 of file svn_opt.h.

The documentation for this struct was generated from the following file:

- svn_opt.h